<?php
define('SF_ROOT_DIR', "/home/invergladi/public_html/gladis");
//define('SF_ROOT_DIR', "C://wamp/www/sinergia");
define('SF_APP',      'sys');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR."lib".DIRECTORY_SEPARATOR."functions".DIRECTORY_SEPARATOR."HelperHelper.php");
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.'config_autoload.php');


$con= Conexion::getConexion();
$a_param = Conexion::getParamDbByAlias($apps);




if (!mysql_select_db($a_param['db'], $con)) {
    echo 'Could not select database';
    exit;
}


function inicializarPagosApp($fecha, $idcolaborador, $idusuario){
  	  
  	 $con = Conexion::getConexion();
  	 
  	$sql = "	SELECT idcolaborador,usuario,idrol 
     			FROM cr_colaborador
     			where 1 and estado = 'A' and eliminado='0' and idcolaborador='".$idcolaborador."'
     		";
  	$resultCol = mysql_db_query(Conexion::getNameDb(), $sql, $con);
    $num_rowsCol = mysql_num_rows($resultCol);
    if($num_rowsCol>0){
    	 while ($o_valorCol = mysql_fetch_object($resultCol)) {
    	 	$usuario	 = $o_valorCol->usuario;
    	 	$idrol 		= $o_valorCol->idrol;
    	 	
			if($idrol == "sys.ope"){
    	 		
    	 		$sql = "SELECT IdMercado 
     					FROM cr_mercado_representante
     					where idcolaborador  = '$idcolaborador'
		     		";
    	 		$resultRM = mysql_db_query(Conexion::getNameDb(), $sql, $con);
			    $num_rowsRM = mysql_num_rows($resultRM);
			    if($num_rowsRM>0){
			      while ($o_valorRM = mysql_fetch_object($resultRM)) {
			      		$IdMercado = $o_valorRM->IdMercado;
			      		
			      		$sql = "	SELECT idprestamo ,fechainicio
					     			FROM cr_prestamo
					     			where idcliente in (
					     				SELECT idcliente 
					     				FROM cr_cliente
					     				where idmercado = '$IdMercado'
					     			) and estado = 'P' and eliminado='0'
					     		";
						    //echo $sql;
					    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
					    $num_rows = mysql_num_rows($result);
					    if($num_rows>0){
					      while ($o_valor = mysql_fetch_object($result)) {
					      	
				      		 $sql = "	SELECT * 
						     			FROM cr_pago
						     			where idprestamo = $o_valor->idprestamo
						     			and fechaPago='".$fecha."'
						     		";
							    //echo $sql;
							    $result2 = mysql_db_query(Conexion::getNameDb(), $sql, $con);
							    $num_rows2 = mysql_num_rows($result2);
							    if($num_rows2 == 0){

							      		if($fecha > $o_valor->fechainicio){
								      		$o_PagoBean = new PagoBean();
											$o_PagoBean->setIdPrestamo($o_valor->idprestamo);
											$o_PagoBean->setMontoPago("0.00");
											$o_PagoBean->setFechaPago($fecha);
											$o_PagoBean->setUsuarioCreacion($idusuario);
											$o_PagoBean->setIdColaborador($idcolaborador);
											$o_PagoBean->setFechaCreacion(date('Y-m-d H:i:s'));
											$o_PagoBL = new PagoBL();
											$o_PagoBL->insertarPago($o_PagoBean);
										}
							      
							    }	
					      	
					      	
					      }
					    }
			      }
			    }
		    }
		}
    }
    
     
}
  
$fechaDiaAbierto = date("Y-m-d");
$fechaDiaAbierto = "2021-11-15";
$dia = date('N',strtotime($fechaDiaAbierto));

if($dia != 7){
	$con = Conexion::getConexion();
	 
	$sql = "	SELECT idcolaborador,usuario,idrol 
				FROM cr_colaborador
				where 1 and estado = 'A' and eliminado='0' and idrol='sys.ope'
			";
	echo $sql;
	$resultCol = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	$num_rowsCol = mysql_num_rows($resultCol);
	if($num_rowsCol>0){
		 while ($o_valorCol = mysql_fetch_object($resultCol)) {
			 echo "entro";	
			echo "<br>";
			$usuario	 = $o_valorCol->usuario;
			$idrol 		= $o_valorCol->idrol;
			$idcolaborador 		= $o_valorCol->idcolaborador;
			inicializarPagosApp($fechaDiaAbierto, $idcolaborador, $usuario);
		 }
	}
}
	


		
